> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arc.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Instructs a specific connector to process (upload, send, transform, and so on) a file in that connector's Send folder.

> Instructs a specific connector to process (upload, send, transform, and so on) a file in that connector's Send folder.



## OpenAPI

````yaml 26.3/self-hosted/en/api-reference/openapi.json POST /sendFile
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.3.9712.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Base URL of your Arc instance, including scheme and application path
          (e.g. https://arc.example.com/api.rsc).
security: []
paths:
  /sendFile:
    post:
      tags:
        - sendFile
      summary: >-
        Instructs a specific connector to process (upload, send, transform, and
        so on) a file in that connector's Send folder.
      description: >-
        Instructs a specific connector to process (upload, send, transform, and
        so on) a file in that connector's Send folder.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/sendFile_input'
        required: true
      responses:
        '200':
          description: The action result
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/sendFile_output'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    sendFile_input:
      type: object
      required:
        - ConnectorId
      properties:
        ConnectorId:
          type: string
          description: The Id of the connector sending the file.
        WorkspaceId:
          type: string
          description: >-
            The Id of the workspace containing the connector to use to send the
            file.
        PortId:
          type: string
          description: The Id of the port to use for the file transfer connection.
        MessageId:
          type: string
          description: The Id associated with this message for tracking and correlation.
        File:
          type: string
          description: The name of the file to send.
        Subfolder:
          type: string
          description: The subfolder path where the file is located or should be organized.
        Attachment#:
          type: string
          description: >-
            The file attachment to send. This name must match a message name in
            the Send folder for the attachment to be included. The # enables you
            to increment and include multiple attachments (such as Attachment1,
            Attachment2).
        FormatResult:
          type: string
          description: >-
            Whether to format the output for readability or return it in raw
            format. The default is False. Available values are 'True, False'.
    sendFile_output:
      type: array
      items:
        type: object
        properties:
          MessageId:
            type: string
            description: The Id assigned to this sent message for tracking and reference.
          File:
            type: string
            description: The name of the sent file.
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````